AtomImpl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.AtomImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class AtomImpl

    java.lang.Object
      org.biojava.bio.structure.AtomImpl

All Implemented Interfaces:
  Atom

    public class AtomImpl

extends Object
implements Atom

Implementation of an Atom of a PDB file. currently the coordinates of an atom are represented by a doubl[3] array.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`AtomImpl()`

Method Summary
`Object` | `clone()` returns and identical copy of this object .
`Character` | `getAltLoc()` get alternate Location.
`double[]` | `getCoords()` get the coordinates as a double[3] array .
`String` | `getFullName()` get full name of atom e.g.
`String` | `getName()` Gets this object's name.
`double` | `getOccupancy()` get occupancy.
`Group` | `getParent()` Returns the parent Group of the Atom returns null if the referenced object is not Group
`String` | `getPDBline()` get the whole line .
`int` | `getPDBserial()` get PDB atom number.
`double` | `getTempFactor()` get set temp factor.
`double` | `getX()` get the X coordinate.
`double` | `getY()` get the Y coordinate.
`double` | `getZ()` get the Z coordinate.
`void` | `setAltLoc(Character c)` set alternate Location.
`void` | `setCoords(double[] c)` the coordinates.
`void` | `setFullName(String s)` set full name of atom e.g.
`void` | `setName(String s)` trimmed version of atom name, e.g.
`void` | `setOccupancy(double occu)` set occupancy.
`void` | `setParent(Group parent)` Sets the back-reference to its parent Group
`void` | `setPDBline(String s)` store the whole line.
`void` | `setPDBserial(int i)` set PDB atom number.
`void` | `setTempFactor(double temp)` get set temp factor .
`void` | `setX(double x)` set the X coordinate
`void` | `setY(double y)` set the Y coordinate
`void` | `setZ(double z)` set the Z coordinate
`String` | `toString()` string representation.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomImpl

    public AtomImpl()

Method Detail

### setName

    public void setName(String s)

  trimmed version of atom name, e.g. "CA"

  Specified by:
    `setName` in interface `Atom`
  Parameters:
    `s` - a String specifying the name value
  See Also:
    `getName()`

### getName

    public String getName()

  Gets this object's name.

  Specified by:
    `getName` in interface `Atom`
  Returns:
    a String representing the name value
  See Also:
    `setName(java.lang.String)`

### setFullName

    public void setFullName(String s)

  set full name of atom e.g. " CA " .

  Specified by:
    `setFullName` in interface `Atom`
  Parameters:
    `s` - a String specifying the full name value
  See Also:
    `getFullName()`

### getFullName

    public String getFullName()

  get full name of atom e.g. " CA ".

  Specified by:
    `getFullName` in interface `Atom`
  Returns:
    a String representing the full name value
  See Also:
    `setFullName(java.lang.String)`

### setPDBserial

    public void setPDBserial(int i)

  set PDB atom number.

  Specified by:
    `setPDBserial` in interface `Atom`
  Parameters:
    `i` - an int specifying the PDBserial value
  See Also:
    `getPDBserial()`

### getPDBserial

    public int getPDBserial()

  get PDB atom number.

  Specified by:
    `getPDBserial` in interface `Atom`
  Returns:
    an int representing the PDBserial value
  See Also:
    `setPDBserial(int)`

### setCoords

    public void setCoords(double[] c)

  the coordinates.

  Specified by:
    `setCoords` in interface `Atom`
  Parameters:
    `c` - an array of doubles specifying the coords value
  See Also:
    `getCoords()`

### getCoords

    public double[] getCoords()

  get the coordinates as a double[3] array .

  Specified by:
    `getCoords` in interface `Atom`
  Returns:
    an array of doubles representing the coords value
  See Also:
    `setCoords(double[])`

### setX

    public void setX(double x)

  Description copied from interface: `Atom`
  set the X coordinate

  Specified by:
    `setX` in interface `Atom`
  Parameters:
    `x` - a double

### setY

    public void setY(double y)

  Description copied from interface: `Atom`
  set the Y coordinate

  Specified by:
    `setY` in interface `Atom`
  Parameters:
    `y` - a double

### setZ

    public void setZ(double z)

  Description copied from interface: `Atom`
  set the Z coordinate

  Specified by:
    `setZ` in interface `Atom`
  Parameters:
    `z` - a double

### getX

    public double getX()

  get the X coordinate.

  Specified by:
    `getX` in interface `Atom`
  Returns:
    a double

### getY

    public double getY()

  get the Y coordinate.

  Specified by:
    `getY` in interface `Atom`
  Returns:
    a double

### getZ

    public double getZ()

  get the Z coordinate.

  Specified by:
    `getZ` in interface `Atom`
  Returns:
    a double

### setAltLoc

    public void setAltLoc(Character c)

  set alternate Location.

  Specified by:
    `setAltLoc` in interface `Atom`
  Parameters:
    `c` - a Character object specifying the alt loc value
  See Also:
    `getAltLoc()`

### getAltLoc

    public Character getAltLoc()

  get alternate Location.

  Specified by:
    `getAltLoc` in interface `Atom`
  Returns:
    a Character object representing the alt loc value
  See Also:
    `setAltLoc(java.lang.Character)`

### setPDBline

    public void setPDBline(String s)

  store the whole line.

  Specified by:
    `setPDBline` in interface `Atom`
  Parameters:
    `s` - a String specifying the PDBline value
  See Also:
    `getPDBline()`

### getPDBline

    public String getPDBline()

  get the whole line .

  Specified by:
    `getPDBline` in interface `Atom`
  Returns:
    a String representing the PDBline value
  See Also:
    `setPDBline(java.lang.String)`

### toString

    public String toString()

  string representation.

  Overrides:
    `toString` in class `Object`

### setOccupancy

    public void setOccupancy(double occu)

  Description copied from interface: `Atom`
  set occupancy.

  Specified by:
    `setOccupancy` in interface `Atom`
  Parameters:
    `occu` - a double specifying the occupancy value
  See Also:
    `Atom.getOccupancy()`

### getOccupancy

    public double getOccupancy()

  Description copied from interface: `Atom`
  get occupancy.

  Specified by:
    `getOccupancy` in interface `Atom`
  Returns:
    a double representing the occupancy value
  See Also:
    `Atom.setOccupancy(double)`

### setTempFactor

    public void setTempFactor(double temp)

  Description copied from interface: `Atom`
  get set temp factor .

  Specified by:
    `setTempFactor` in interface `Atom`
  Parameters:
    `temp` - a double specifying the temp factor value
  See Also:
    `Atom.getTempFactor()`

### getTempFactor

    public double getTempFactor()

  Description copied from interface: `Atom`
  get set temp factor.

  Specified by:
    `getTempFactor` in interface `Atom`
  Returns:
    a double representing the temp factor value
  See Also:
    `Atom.setTempFactor(double)`

### clone

    public Object clone()

  returns and identical copy of this object .

  Specified by:
    `clone` in interface `Atom`
  Overrides:
    `clone` in class `Object`
  Returns:
    and identical copy of this object

### setParent

    public void setParent(Group parent)

  Description copied from interface: `Atom`
  Sets the back-reference to its parent Group

  Specified by:
    `setParent` in interface `Atom`
  Parameters:
    `parent` - the parent Group

### getParent

    public Group getParent()

  Description copied from interface: `Atom`
  Returns the parent Group of the Atom returns null if the referenced object is not Group

  Specified by:
    `getParent` in interface `Atom`
  Returns:
    Group the parent Group of the Atom, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD